import { Signer, ContractFactory, Overrides } from "ethers";
import type { Provider, TransactionRequest } from "@ethersproject/providers";
import type { Bytes32ToAddress, Bytes32ToAddressInterface } from "../Bytes32ToAddress";
type Bytes32ToAddressConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class Bytes32ToAddress__factory extends ContractFactory {
    constructor(...args: Bytes32ToAddressConstructorParams);
    deploy(overrides?: Overrides & {
        from?: string;
    }): Promise<Bytes32ToAddress>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string;
    }): TransactionRequest;
    attach(address: string): Bytes32ToAddress;
    connect(signer: Signer): Bytes32ToAddress__factory;
    static readonly bytecode = "0x6080806040523460175760399081601c823930815050f35b5f80fdfe5f80fdfea2646970667358221220d49e043a7e45dec4a01fea1c8e28892265644a9167d8f1bba56f7b596352a36d64736f6c634300081e0033";
    static readonly abi: readonly [{
        readonly type: "error";
        readonly name: "InvalidBytes32";
        readonly inputs: readonly [];
    }];
    static createInterface(): Bytes32ToAddressInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): Bytes32ToAddress;
}
export {};
